# $FreeBSD: src/etc/make.conf,v 1.73.2.13 2001/08/23 20:28:24 knu Exp $
#
# This file, if present, will be read by make (see /usr/share/mk/sys.mk).
# It allows you to override macro definitions to make without changing
# your source tree, or anything the source tree installs.
#
# This file must be in valid Makefile syntax.
#
# You have to find the things you can put here in the Makefiles and 
# documentation of the source tree.
#
# CFLAGS controls the compiler settings used when compiling C code.
# Note that optimisation settings above -O (-O2, ...) are not recommended
# or supported for compiling the world or the kernel - please revert any
# nonstandard optimisation settings to "-O" before submitting bug reports
# to the developers.
# Note also that at this time the -O2 setting is known to produce BROKEN
# CODE on the Alpha platform.
#
#CFLAGS= -O -pipe
#
#
# Avoid compiling profiled libraries
#NOPROFILE=	true
#
# Compare before install
#INSTALL=install -C
#
# To avoid building the default system perl
#NOPERL=	true
# To avoid building the suid perl
#NOSUIDPERL=	true
#
# To avoid building BIND
#NO_BIND=	true
#
# To avoid building sendmail
#NO_SENDMAIL=	true
#
# To avoid compiling in XWindows support (e.g. in doscmd)
#NO_X=		true
#
# To have 'obj' symlinks created in your source directory
#       (they aren't needed/necessary)
#OBJLINK=	yes
#
# To compile just the kernel with special optimisations, you should use
# this instead of CFLAGS (which is not applicable to kernel builds anyway):
#
#COPTFLAGS= -O -pipe
#
# To compile and install the 4.4 lite libm instead of the default use:
#
#WANT_CSRG_LIBM=	yes
#
# If you do not want unformatted manual pages to be compressed
# when they are installed:
#
#NOMANCOMPRESS=	true
#
#
# If you want the "compat" shared libraries installed as part of your normal
# builds, uncomment these:
#
#COMPAT1X=	yes
#COMPAT20=	yes
#COMPAT21=	yes
#COMPAT22=	yes
#
#
# If you do not want additional documentation (some of which are
# a few hundred KB's) for ports to be installed:
#
#NOPORTDOCS=	true
#
#
# Default format for system documentation, depends on your printer.
# Set this to "ascii" for simple printers or screen
#
#PRINTERDEVICE=	ps
#
#
# How long to wait for a console keypress before booting the default kernel.
# This value is approximately in milliseconds. Keypresses are accepted by the
# BIOS before booting from disk, making it possible to give custom boot
# parameters even when this is set to 0.
#
#BOOTWAIT=0
#BOOTWAIT=30000
#
# By default, the system will always use the keyboard/video card as system
# console.  However, the boot blocks may be dynamically configured to use a
# serial port in addition to or instead of the keyboard/video console.
#
# By default we use COM1 as our serial console port *if* we're going to use
# a serial port as our console at all.  Alter as necessary.
#
#   COM1: = 0x3F8, COM2: = 0x2F8, COM3: = 0x3E8, COM4: = 0x2E8
#
#BOOT_COMCONSOLE_PORT=	0x3F8
#
# The default serial console speed is 9600.  Set the speed to a larger value
# for better interactive response.
#
#BOOT_COMCONSOLE_SPEED=	115200
#
#
# By default, this points to /usr/X11R6 for XFree86 releases 3.0 or earlier.
# If you have a XFree86 from before 3.0 that has the X distribution in
# /usr/X386, you want to uncomment this.
#
#X11BASE=	/usr/X386
#
#
# If you have Motif on your system, uncomment this.
#
#HAVE_MOTIF=	yes
#MOTIF_STATIC=  yes
#
# If the default location of the Motif library (specified below) is NOT
# appropriate for you, uncomment this and change it to the correct value.
# If your motif is in ${X11BASE}/lib, you don't need to touch this line.
#
#MOTIFLIB=	-L${X11BASE}/lib -lXm
#
#
# If you're resident in the USA, this will help various ports to determine
# whether or not they should attempt to comply with the various U.S.
# export regulations on certain types of software which do not apply to
# anyone else in the world.
#
#USA_RESIDENT=		YES
#
# Next one will help ports developers to debug
#
#FORCE_PKG_REGISTER=    YES
#
#
# Port master sites.
#
# If you want your port fetches to go somewhere else than the default
# (specified below) in case the distfile/patchfile was not found,
# uncomment this and change it to a location nearest you.  (Don't
# remove the "/${DIST_SUBDIR}/" part.)
#
#MASTER_SITE_BACKUP?=	\
#	ftp://ftp.freebsd.org/pub/FreeBSD/ports/distfiles/${DIST_SUBDIR}/
#
# If you want your port fetches to check the above site first (before
# the MASTER_SITES specified in the port Makefiles), uncomment the
# line below.  You can also change the right side to point to wherever 
# you want.
#
#MASTER_SITE_OVERRIDE?=	${MASTER_SITE_BACKUP}
#
# Some ports use a special variable to point to a collection of
# mirrors of well-known software archives.  If you have a mirror close
# to you, uncomment any of the following lines and change it to that
# address.  (Don't remove the "/%SUBDIR%/" part.)
#
# Note: the right hand sides of the following lines are only for your
# information.  For a full list of default sites, take a look at
# bsd.sites.mk.
#
#MASTER_SITE_AFTERSTEP=	ftp://ftp.afterstep.org/%SUBDIR%/
#MASTER_SITE_COMP_SOURCES=	ftp://gatekeeper.dec.com/pub/usenet/comp.sources.%SUBDIR%/
#MASTER_SITE_FREEBSD_ORG=	ftp://ftp.FreeBSD.org/pub/FreeBSD/%SUBDIR%/
#MASTER_SITE_GNOME=	ftp://ftp.gnome.org/pub/GNOME/sources/%SUBDIR%/
#MASTER_SITE_GNU=	ftp://ftp.gnu.org/gnu/%SUBDIR%/
#MASTER_SITE_KDE=	ftp://ftp.kde.org/pub/kde/%SUBDIR%/
#MASTER_SITE_LOCAL=	ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/local-distfiles/%SUBDIR%/
#MASTER_SITE_MOZILLA=	ftp://ftp.mozilla.org/pub/%SUBDIR%/
#MASTER_SITE_NETBSD=	ftp://ftp.netbsd.org/pub/NetBSD/packages/distfiles/%SUBDIR%/
#MASTER_SITE_PERL_CPAN=	ftp://ftp.digital.com/pub/plan/perl/CPAN/modules/by-module/%SUBDIR%/
#MASTER_SITE_PORTS_JP=	ftp://ports.jp.FreeBSD.org/pub/FreeBSD-jp/ports-jp/LOCAL_PORTS/%SUBDIR%/
#MASTER_SITE_RINGSERVER=	ftp://ftp.dnsbalance.ring.gr.jp/pub/%SUBDIR%/
#MASTER_SITE_RUBY=	ftp://ftp.ruby-lang.org/pub/ruby/%SUBDIR%/
#MASTER_SITE_SOURCEFORGE=	ftp://ftp2.sourceforge.net/pub/sourceforge/%SUBDIR%/
#MASTER_SITE_SOURCEWARE=	ftp://ftp.freesoftware.com/pub/sourceware/%SUBDIR%/
#MASTER_SITE_SUNSITE=	ftp://metalab.unc.edu/pub/Linux/%SUBDIR%/
#MASTER_SITE_TCLTK=	ftp://ftp.scriptics.com/pub/tcl/%SUBDIR%/
#MASTER_SITE_TEX_CTAN=	ftp://ftp.tex.ac.uk/tex-archive/%SUBDIR%/
#MASTER_SITE_THEMES=	ftp://ftp.themes.org/pub/themes/%SUBDIR%/
#MASTER_SITE_WINDOWMAKER=	ftp://ftp.windowmaker.org/pub/%SUBDIR%/
#MASTER_SITE_XCONTRIB=	ftp://ftp.x.org/contrib/%SUBDIR%/
#MASTER_SITE_XEMACS=	ftp://ftp.xemacs.org/pub/xemacs/%SUBDIR%/
#MASTER_SITE_XFREE=	ftp://ftp.xfree86.org/pub/XFree86/%SUBDIR%/source/
#
# Also it is highly recommended that you configure MASTER_SORT_REGEX
# to choose better mirror sites for you.  List awk(1)-style regular
# expressions separated by space so MASTER_SITES will be sorted in
# that order.  The following example is for Japanese users; change
# "jp" part to your ccTLD ("de", "ru", "uk", etc.) or the domain names
# of your nearest/upstream networks to meet your needs.
#
#MASTER_SORT_REGEX?=	^file: ^ftp://ftp\.FreeBSD\.org/pub/FreeBSD/ports/local-distfiles/ ://[^/]*\.jp/ ://[^/]*\.jp\.
#
# Kerberos IV
# If you want KerberosIV (KTH eBones), define this:
#
#MAKE_KERBEROS4=	yes
#
#
# Kerberos5
# If you want to install Kerberos5 somewhere other than /usr/local,
# define this:
#
#KRB5_HOME=		/usr/local/krb5
#
#
# CVSup update flags.  Edit SUPFILE settings to reflect whichever distribution
# file(s) you use on your site (see /usr/share/examples/cvsup/README for more
# information on CVSup and these files).  To use, do "make update" in /usr/src.
#
#SUP_UPDATE=     yes
#
#SUP=            /usr/local/bin/cvsup
#SUPFLAGS=       -g -L 2
#SUPFILE=        /usr/share/examples/cvsup/stable-supfile
#SUPFILE1=       /usr/share/examples/cvsup/secure-stable-supfile
#SUPFILE2=       /usr/share/examples/cvsup/ports-supfile
#
# top(1) uses a hash table for the user names.  The size of this hash
# can be tuned to match the number of local users.  The table size should
# be a prime number approximately twice as large as the number of lines in
# /etc/passwd.  The default number is 20011.
#
#TOP_TABLE_SIZE= 101
